%define	version 1.3.0.20100528
%define	release %mkrel 6

Name:      ibus-table-others
Summary:   ibus-table-others - table-based engine
Version:   %{version}
Release:   %{release}
Group:     System/Internationalization
License:   GPLv2+
URL:       http://code.google.com/p/ibus/
Source0:   http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRequires: ibus-table-devel >= 1.3.0
BuildRequires: ibus-devel >= 1.3.9
Requires:  ibus-table >= 1.3.0
BuildArch:	noarch

%description
ibus-table-others provides the following input methods on IBus-Table on IBus framework:

    * CNS11643
    * Compose
    * Emoji
    * IPA-X-SAMPA
    * LaTex
    * RussianTraditional
    * Thai
    * Translit
    * Ua-Translit
    * Viqr
    * Yawerty

%files
%{_datadir}/ibus-table/icons/cns11643.png
%{_datadir}/ibus-table/icons/ibus-emoji.svg
%{_datadir}/ibus-table/icons/ipa-x-sampa.png
%{_datadir}/ibus-table/icons/rustrad.png
%{_datadir}/ibus-table/icons/yawerty.png
%{_datadir}/ibus-table/tables/cns11643.db
%{_datadir}/ibus-table/tables/emoji-table.db
%{_datadir}/ibus-table/tables/ipa-x-sampa.db
%{_datadir}/ibus-table/tables/rustrad.db
%{_datadir}/ibus-table/tables/yawerty.db

%package -n ibus-table-th
Summary:   Thai language support via ibus-table
Group:     System/Internationalization
Requires:  ibus-table >= 1.3.0
Requires:  locales-th
Requires(post,preun): GConf2
Obsoletes: ibus-table-thai

%description -n ibus-table-th
ibus-table-th provides Thai input method on IBus Table under IBus framework.

%files -n ibus-table-th
%{_datadir}/ibus-table/icons/thai.png
%{_datadir}/ibus-table/tables/thai.db

%package -n ibus-table-vi
Summary:   Vietnamese language support via ibus-table
Group:     System/Internationalization
Requires:  ibus-table >= 1.3.0
Requires(post,preun): GConf2
Requires:  locales-vi

%description -n ibus-table-vi
ibus-table-vi provides Vietnamese input method on IBus Table under IBus framework.

%files -n ibus-table-vi
%{_datadir}/ibus-table/icons/viqr.png
%{_datadir}/ibus-table/tables/viqr.db

%package -n ibus-table-translit
Group: System/Internationalization
Summary: ibus-translit - table-based engine
Requires: ibus-table >= 1.3.0
Requires(post,preun): GConf2

%description -n ibus-table-translit
ibus-table-translit provides Translit input method on IBus Table under IBus framework.

%files -n ibus-table-translit
%{_datadir}/ibus-table/icons/translit-ua.png
%{_datadir}/ibus-table/icons/translit.png
%{_datadir}/ibus-table/tables/translit-ua.db
%{_datadir}/ibus-table/tables/translit.db

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x --disable-compose --disable-latex
%make

%install
%makeinstall_std


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.3.0.20100528-6.mga4
+ Revision: 506203
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 fwang <fwang> 1.3.0.20100528-5.mga3
+ Revision: 354842
- update spec

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 04 2011 fwang <fwang> 1.3.0.20100528-4.mga2
+ Revision: 131743
- add ibus helper for registering engine

* Fri Mar 18 2011 tv <tv> 1.3.0.20100528-3.mga1
+ Revision: 73637
- imported package ibus-table-others


* Wed Jul 28 2010 Funda Wang <fwang@mandriva.org> 1.3.0.20100528-3mdv2011.0
+ Revision: 562173
- rebuild
- rebuild for missing packages

* Sat Jul 24 2010 Funda Wang <fwang@mandriva.org> 1.3.0.20100528-1mdv2011.0
+ Revision: 558231
- import ibus-table-others


